import { Component, OnInit } from '@angular/core';
import { AlertController, NavController } from '@ionic/angular';
import * as Parse from 'parse';

@Component({
  selector: 'app-page-info',
  templateUrl: './page-info.component.html',
  styleUrls: ['./page-info.component.scss']
})
export class PageInfoComponent implements OnInit {

  userInfo: any = {
    name: '',
    mobile: '',
    gender: '',
    birthday: ''
  };
  currentUser: Parse.User | undefined;

  constructor(private navController: NavController) {}

  ngOnInit() {
    this.currentUser = Parse.User.current();
    if (this.currentUser) {
      let json = this.currentUser.toJSON();
      for (const key in json) {
        if (this.userInfo.hasOwnProperty(key)) {
          this.userInfo[key] = json[key];
        }
      }
    }
    console.log(this.userInfo);
  }

  save() {
    this.currentUser = Parse.User.current();
    if (this.currentUser) {
      console.log(this.userInfo);
      for (const key in this.userInfo) {
        if (this.userInfo.hasOwnProperty(key)) {
          this.currentUser.set(key, this.userInfo[key]);
        }
      }
      this.currentUser.save().then(() => {
        this.navController.back();
      }).catch((error) => {
        console.error('Error saving user data: ', error);
      });
    }
  }

  cancel() {
    this.navController.back();
  }

}